Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -4102,6 +7131,6 @@
 SD870, SD900, SD950, SD1000, SX100 and TX1.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    ISO                                  int32s
       5    FNumber                              int32s
@@ -4119,6 +7148,6 @@
 SX20, SX110, SX120, SX130, SX200 and SX210.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       1    ISO                                  int32s
       6    FNumber                              int32s
@@ -4135,6 +7164,6 @@
 Unknown CameraInfo tags are divided into 3 tables based on format size.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
      71    CameraTemperature                    int32s
      83    CameraTemperature                    int32s
@@ -4142,19 +7171,18 @@
      92    CameraTemperature                    int32s
     100    CameraTemperature                    int32s
-    466    CameraTemperature                    int32s
-    503    CameraTemperature                    int32s
-    506    CameraTemperature                    int32s
+     -3    CameraTemperature                    int32s
 
 =head3 Canon CameraInfoUnknown16 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
 =head3 Canon CameraInfoUnknown Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-  [no tags known]
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    363    LensSerialNumber                     undef[5]
+   1473    FirmwareVersion                      no
 
 =head3 Canon MovieInfo Tags
@@ -4162,6 +7190,6 @@
 Tags written by some Canon cameras when recording video.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    FrameRate                            int16u
       2    FrameCount                           int16u
@@ -4186,29 +7214,29 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    NumAFPoints                          N
-      1    ValidAFPoints                        N
-      2    CanonImageWidth                      N
-      3    CanonImageHeight                     N
-      4    AFImageWidth                         N
-      5    AFImageHeight                        N
-      6    AFAreaWidth                          N
-      7    AFAreaHeight                         N
-      8    AFAreaXPositions                     N
-      9    AFAreaYPositions                     N
-     10    AFPointsInFocus                      N
-     11    PrimaryAFPoint                       N
-           Canon_AFInfo_0x000b?                 N
-     12    PrimaryAFPoint                       N
+      0    NumAFPoints                          no
+      1    ValidAFPoints                        no
+      2    CanonImageWidth                      no
+      3    CanonImageHeight                     no
+      4    AFImageWidth                         no
+      5    AFImageHeight                        no
+      6    AFAreaWidth                          no
+      7    AFAreaHeight                         no
+      8    AFAreaXPositions                     no
+      9    AFAreaYPositions                     no
+     10    AFPointsInFocus                      no
+     11    PrimaryAFPoint                       no
+           Canon_AFInfo_0x000b?                 no
+     12    PrimaryAFPoint                       no
 
 =head3 Canon MyColors Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       2    MyColorMode                          int16u
 
 =head3 Canon FaceDetect1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       2    FacesDetected                        int16u
       3    FaceDetectFrameSize                  int16u[2]
@@ -4225,6 +7253,6 @@
 =head3 Canon FaceDetect2 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       1    FaceWidth                            int8u
       2    FacesDetected                        int8u
@@ -4233,30 +7261,67 @@
 
 Newer version of the AFInfo record containing much of the same information
-(and coordinate confusion) as the older version.  In this record, values of
-9 and 45 have been observed for NumAFPoints.
+(and coordinate confusion) as the older version.  In this record, NumAFPoints
+may be 7, 9, 11, 19, 31, 45 or 61, depending on the camera model.
 
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    AFInfoSize?                          N
-      1    AFAreaMode                           N
-      2    NumAFPoints                          N
-      3    ValidAFPoints                        N
-      4    CanonImageWidth                      N
-      5    CanonImageHeight                     N
-      6    AFImageWidth                         N
-      7    AFImageHeight                        N
-      8    AFAreaWidths                         N
-      9    AFAreaHeights                        N
-     10    AFAreaXPositions                     N
-     11    AFAreaYPositions                     N
-     12    AFPointsInFocus                      N
-     13    AFPointsSelected                     N
-           Canon_AFInfo2_0x000d?                N
-     14    PrimaryAFPoint                       N
+      0    AFInfoSize?                          no
+      1    AFAreaMode                           no
+      2    NumAFPoints                          no
+      3    ValidAFPoints                        no
+      4    CanonImageWidth                      no
+      5    CanonImageHeight                     no
+      6    AFImageWidth                         no
+      7    AFImageHeight                        no
+      8    AFAreaWidths                         no
+      9    AFAreaHeights                        no
+     10    AFAreaXPositions                     no
+     11    AFAreaYPositions                     no
+     12    AFPointsInFocus                      no
+     13    AFPointsSelected                     no
+           Canon_AFInfo2_0x000d?                no
+     14    PrimaryAFPoint                       no
+
+=head3 Canon ContrastInfo Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      4    IntelligentContrast                  int16u
+
+=head3 Canon WBInfo Tags
+
+WB tags for the Canon G9.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      2    WB_GRGBLevelsAuto                    int32s[4]
+     10    WB_GRGBLevelsDaylight                int32s[4]
+     18    WB_GRGBLevelsCloudy                  int32s[4]
+     26    WB_GRGBLevelsTungsten                int32s[4]
+     34    WB_GRGBLevelsFluorescent             int32s[4]
+     42    WB_GRGBLevelsFluorHigh               int32s[4]
+     50    WB_GRGBLevelsFlash                   int32s[4]
+     58    WB_GRGBLevelsUnderwater              int32s[4]
+     66    WB_GRGBLevelsCustom1                 int32s[4]
+     74    WB_GRGBLevelsCustom2                 int32s[4]
+
+=head3 Canon FaceDetect3 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      3    FacesDetected                        int16u
+
+=head3 Canon TimeInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    TimeZone                             int32s
+      2    TimeZoneCity                         int32s
+      3    DaylightSavings                      int32s
 
 =head3 Canon FileInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    FileNumber                           int32u
            ShutterCount                         int32u
@@ -4274,16 +7339,19 @@
      16    MacroMagnification                   int16s
      19    LiveViewShooting                     int16s
+     20    FocusDistanceUpper                   int16u
+     21    FocusDistanceLower                   int16u
      25    FlashExposureLock                    int16s
+     61    RFLensType                           int16u
 
 =head3 Canon SerialInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       9    InternalSerialNumber                 string
 
 =head3 Canon CropInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    CropLeftMargin                       int16u
       1    CropRightMargin                      int16u
@@ -4293,14 +7361,16 @@
 =head3 Canon AspectInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    AspectRatio                          int32u
       1    CroppedImageWidth                    int32u
       2    CroppedImageHeight                   int32u
+      3    CroppedImageLeft                     int32u
+      4    CroppedImageTop                      int32u
 
 =head3 Canon Processing Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    ToneCurve                            int16s
       2    Sharpness                            int16s
@@ -4321,32 +7391,34 @@
 These tags are used by the 10D and 300D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    WB_RGGBLevelsAuto                    int16s[4]
-      4    WB_RGGBLevelsDaylight                int16s[4]
-      8    WB_RGGBLevelsShade                   int16s[4]
-     12    WB_RGGBLevelsCloudy                  int16s[4]
-     16    WB_RGGBLevelsTungsten                int16s[4]
-     20    WB_RGGBLevelsFluorescent             int16s[4]
-     24    WB_RGGBLevelsFlash                   int16s[4]
-     28    WB_RGGBLevelsCustom                  int16s[4]
-     32    WB_RGGBLevelsKelvin                  int16s[4]
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    WB_RGGBLevelsAuto                    int16s[4]
+      5    WB_RGGBLevelsDaylight                int16s[4]
+      9    WB_RGGBLevelsShade                   int16s[4]
+     13    WB_RGGBLevelsCloudy                  int16s[4]
+     17    WB_RGGBLevelsTungsten                int16s[4]
+     21    WB_RGGBLevelsFluorescent             int16s[4]
+     25    WB_RGGBLevelsFlash                   int16s[4]
+     29    WB_RGGBLevelsCustom                  int16s[4]
+           BlackLevels                          int16s[4]
+     33    WB_RGGBLevelsKelvin                  int16s[4]
+     37    WB_RGGBBlackLevels                   int16s[4]
 
 =head3 Canon MeasuredColor Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    MeasuredRGGB                         int16u[4]
 
 =head3 Canon Flags Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    ModifiedParamFlag                    int16s
 
 =head3 Canon ModifiedInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    ModifiedToneCurve                    int16s
       2    ModifiedSharpness                    int16s
@@ -4363,6 +7435,6 @@
 =head3 Canon PreviewImageInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       1    PreviewQuality                       int32u
       2    PreviewImageLength                   int32u*
@@ -4373,16 +7445,16 @@
 =head3 Canon SensorInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    SensorWidth                          N
-      2    SensorHeight                         N
-      5    SensorLeftBorder                     N
-      6    SensorTopBorder                      N
-      7    SensorRightBorder                    N
-      8    SensorBottomBorder                   N
-      9    BlackMaskLeftBorder                  N
-     10    BlackMaskTopBorder                   N
-     11    BlackMaskRightBorder                 N
-     12    BlackMaskBottomBorder                N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    SensorWidth                          no
+      2    SensorHeight                         no
+      5    SensorLeftBorder                     no
+      6    SensorTopBorder                      no
+      7    SensorRightBorder                    no
+      8    SensorBottomBorder                   no
+      9    BlackMaskLeftBorder                  no
+     10    BlackMaskTopBorder                   no
+     11    BlackMaskRightBorder                 no
+     12    BlackMaskBottomBorder                no
 
 =head3 Canon ColorData1 Tags
@@ -4390,6 +7462,6 @@
 These tags are used by the 20D and 350D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
      25    WB_RGGBLevelsAsShot                  int16s[4]
      29    ColorTempAsShot                      int16s
@@ -4417,10 +7489,10 @@
 
 Camera color calibration data.  For the 20D, 350D, 1DmkII and 1DSmkII the
-order of the cooefficients is A, B, C, Temperature, but for newer models it
+order of the coefficients is A, B, C, Temperature, but for newer models it
 is B, C, A, Temperature.  These tags are extracted only when the Unknown
 option is used.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    CameraColorCalibration01?            int16s[4]
       4    CameraColorCalibration02?            int16s[4]
@@ -4443,6 +7515,6 @@
 These tags are used by the 1DmkII and 1DSmkII.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
      24    WB_RGGBLevelsAuto                    int16s[4]
      28    ColorTempAuto                        int16s
@@ -4508,6 +7580,6 @@
 These tags are used by the 1DmkIIN, 5D, 30D and 400D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    ColorDataVersion                     int16s
      63    WB_RGGBLevelsAsShot                  int16s[4]
@@ -4540,4 +7612,5 @@
     132    ColorTempCustom                      int16s
     133    ColorCalib?                          Canon ColorCalib
+    196    PerChannelBlackLevel                 int16u[4]
     584    FlashOutput                          int16s
     585    FlashBatteryLevel                    int16s
@@ -4548,17 +7621,30 @@
 
 These tags are used by the 1DmkIII, 1DSmkIII, 1DmkIV, 5DmkII, 7D, 40D, 50D,
-450D, 500D, 550D, 1000D and 1100D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+60D, 450D, 500D, 550D, 1000D and 1100D.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    ColorDataVersion                     int16s
      63    ColorCoefs                           Canon ColorCoefs
     168    ColorCalib?                          Canon ColorCalib
+    231    AverageBlackLevel                    int16u[4]
     640    RawMeasuredRGGB                      int32u[4]
+    692    PerChannelBlackLevel                 int16u[4]
+    696    NormalWhiteLevel                     int16u
+    697    SpecularWhiteLevel                   int16u
+    698    LinearityUpperMargin                 int16u
+    715    PerChannelBlackLevel                 int16u[4]
+    719    NormalWhiteLevel                     int16u
+           PerChannelBlackLevel                 int16u[4]
+    720    SpecularWhiteLevel                   int16u
+    721    LinearityUpperMargin                 int16u
+    723    NormalWhiteLevel                     int16u
+    724    SpecularWhiteLevel                   int16u
+    725    LinearityUpperMargin                 int16u
 
 =head3 Canon ColorCoefs Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    WB_RGGBLevelsAsShot                  int16s[4]
       4    ColorTempAsShot                      int16s
@@ -4610,31 +7696,97 @@
 =head3 Canon ColorData5 Tags
 
-These tags are used by the PowerShot G10.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+These tags are used by many EOS M and PowerShot models.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ColorDataVersion                     int16s
      71    ColorCoefs                           Canon ColorCoefs
-    186    CameraColorCalibration01?            int16s[5]
-    191    CameraColorCalibration02?            int16s[5]
-    196    CameraColorCalibration03?            int16s[5]
-    201    CameraColorCalibration04?            int16s[5]
-    206    CameraColorCalibration05?            int16s[5]
-    211    CameraColorCalibration06?            int16s[5]
-    216    CameraColorCalibration07?            int16s[5]
-    221    CameraColorCalibration08?            int16s[5]
-    226    CameraColorCalibration09?            int16s[5]
-    231    CameraColorCalibration10?            int16s[5]
-    236    CameraColorCalibration11?            int16s[5]
-    241    CameraColorCalibration12?            int16s[5]
-    246    CameraColorCalibration13?            int16s[5]
-    251    CameraColorCalibration14?            int16s[5]
-    256    CameraColorCalibration15?            int16s[5]
+           ColorCoefs2                          Canon ColorCoefs2
+    186    ColorCalib2?                         Canon ColorCalib2
+    255    ColorCalib2?                         Canon ColorCalib2
+    264    PerChannelBlackLevel                 int16s[4]
+    333    PerChannelBlackLevel                 int16s[4]
+   1385    NormalWhiteLevel                     int16u
+   1386    SpecularWhiteLevel                   int16u
+
+=head3 Canon ColorCoefs2 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    WB_RGGBLevelsAsShot                  int16s[4]
+      7    ColorTempAsShot                      int16s
+      8    WB_RGGBLevelsAuto                    int16s[4]
+     15    ColorTempAuto                        int16s
+     16    WB_RGGBLevelsMeasured                int16s[4]
+     23    ColorTempMeasured                    int16s
+     24    WB_RGGBLevelsUnknown?                int16s[4]
+     31    ColorTempUnknown?                    int16s
+     32    WB_RGGBLevelsDaylight                int16s[4]
+     39    ColorTempDaylight                    int16s
+     40    WB_RGGBLevelsShade                   int16s[4]
+     47    ColorTempShade                       int16s
+     48    WB_RGGBLevelsCloudy                  int16s[4]
+     55    ColorTempCloudy                      int16s
+     56    WB_RGGBLevelsTungsten                int16s[4]
+     63    ColorTempTungsten                    int16s
+     64    WB_RGGBLevelsFluorescent             int16s[4]
+     71    ColorTempFluorescent                 int16s
+     72    WB_RGGBLevelsKelvin                  int16s[4]
+     79    ColorTempKelvin                      int16s
+     80    WB_RGGBLevelsFlash                   int16s[4]
+     87    ColorTempFlash                       int16s
+     88    WB_RGGBLevelsUnknown2?               int16s[4]
+     95    ColorTempUnknown2?                   int16s
+     96    WB_RGGBLevelsUnknown3?               int16s[4]
+    103    ColorTempUnknown3?                   int16s
+    104    WB_RGGBLevelsUnknown4?               int16s[4]
+    111    ColorTempUnknown4?                   int16s
+    112    WB_RGGBLevelsUnknown5?               int16s[4]
+    119    ColorTempUnknown5?                   int16s
+    120    WB_RGGBLevelsUnknown6?               int16s[4]
+    127    ColorTempUnknown6?                   int16s
+    128    WB_RGGBLevelsUnknown7?               int16s[4]
+    135    ColorTempUnknown7?                   int16s
+    136    WB_RGGBLevelsUnknown8?               int16s[4]
+    143    ColorTempUnknown8?                   int16s
+    144    WB_RGGBLevelsUnknown9?               int16s[4]
+    151    ColorTempUnknown9?                   int16s
+    152    WB_RGGBLevelsUnknown10?              int16s[4]
+    159    ColorTempUnknown10?                  int16s
+    160    WB_RGGBLevelsUnknown11?              int16s[4]
+    167    ColorTempUnknown11?                  int16s
+    168    WB_RGGBLevelsUnknown12?              int16s[4]
+    175    ColorTempUnknown12?                  int16s
+    176    WB_RGGBLevelsUnknown13?              int16s[4]
+    183    ColorTempUnknown13?                  int16s
+
+=head3 Canon ColorCalib2 Tags
+
+B, C, A, D, Temperature.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    CameraColorCalibration01?            int16s[5]
+      5    CameraColorCalibration02?            int16s[5]
+     10    CameraColorCalibration03?            int16s[5]
+     15    CameraColorCalibration04?            int16s[5]
+     20    CameraColorCalibration05?            int16s[5]
+     25    CameraColorCalibration06?            int16s[5]
+     30    CameraColorCalibration07?            int16s[5]
+     35    CameraColorCalibration08?            int16s[5]
+     40    CameraColorCalibration09?            int16s[5]
+     45    CameraColorCalibration10?            int16s[5]
+     50    CameraColorCalibration11?            int16s[5]
+     55    CameraColorCalibration12?            int16s[5]
+     60    CameraColorCalibration13?            int16s[5]
+     65    CameraColorCalibration14?            int16s[5]
+     70    CameraColorCalibration15?            int16s[5]
 
 =head3 Canon ColorData6 Tags
 
-These tags are used by the EOS 600D.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+These tags are used by the EOS 600D and 1200D.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    ColorDataVersion                     int16s
      63    WB_RGGBLevelsAsShot                  int16s[4]
